<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MessageAddOnContextInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $messageAddOnDurationInSecs = null;
    


    protected $messageAddOnExpiryType = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMessageAddOnDurationInSecs()
    {
        return isset($this->messageAddOnDurationInSecs) ? $this->messageAddOnDurationInSecs : 0;
    }

    public function hasMessageAddOnDurationInSecs()
    {
        return isset($this->messageAddOnDurationInSecs);
    }

    public function clearMessageAddOnDurationInSecs()
    {
        unset($this->messageAddOnDurationInSecs);
    }

    




    public function setMessageAddOnDurationInSecs($var)
    {
        GPBUtil::checkUint32($var);
        $this->messageAddOnDurationInSecs = $var;

        return $this;
    }

    



    public function getMessageAddOnExpiryType()
    {
        return isset($this->messageAddOnExpiryType) ? $this->messageAddOnExpiryType : 0;
    }

    public function hasMessageAddOnExpiryType()
    {
        return isset($this->messageAddOnExpiryType);
    }

    public function clearMessageAddOnExpiryType()
    {
        unset($this->messageAddOnExpiryType);
    }

    




    public function setMessageAddOnExpiryType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\MessageContextInfo\MessageAddonExpiryType::class);
        $this->messageAddOnExpiryType = $var;

        return $this;
    }

}

